#
#  Component	: tecad_hpov.cds
#
#  Description	: Default set of class definition statements for the
#		  HP OpenView T/EC Adapter.
#
#  Primary Author : Marc Foret
#
#  Peer Reviewer  :
#
#  (C) COPYRIGHT BIM, sa/nv 1994
#  Unpublished Work
#  All Rights Reserved
#  Licensed Material - BIM, sa/nv.
#

#############################################################################
#                                                                           #
#  DEFAULT SLOT VALUES                                                      #
#                                                                           #
#############################################################################
# The forwarding_agent attribute is commented out so people who upgrade     #
# to TEC 3.7 won't get PARSING FAILED when the event with the new slot      #
# arrives at the TEC server.                                                #
#############################################################################

MAP_DEFAULT
  source = HPOV ;
  sub_source = NET ;
# forwarding_agent = $SOURCE_ADDR ;
  origin = $AGENT_ADDR ;
  adapter_host = $ADAPTER_HOST;

END

#############################################################################
#                                                                           #
#  CABLETRON-SPECIFIC SNMP TRAPS                                            #
#                                                                           #
#############################################################################

CLASS Port_Segmenting_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 257 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
END

# CLASS Port_Unsegmenting_CBT
# 'portUnsegementing' traps are mapped to 'portSegmenting' CLOSED
CLASS Port_Segmenting_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 258 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
    status = CLOSED ;
END

CLASS Port_Link_Down_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 260 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
END

# CLASS Port_Link_Up_CBT
# 'portLinkUp' traps are mapped to 'portLinkDown' CLOSED
CLASS Port_Link_Down_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 259 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
    status = CLOSED ;
END

CLASS Source_Address_New_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 261 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
    5: ATTR(=,"portSourceAddr") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    portSourceAddr = $V5 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
END

CLASS Source_Address_Timeout_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 262 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
    5: ATTR(=,"portSourceAddr") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    portSourceAddr = $V5 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
END

CLASS Board_Removal_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 263 ;
    3: ATTR(=,"boardIndex") ;
  MAP
    boardIndex = $V3 ;
    sub_origin = PRINTF("board %s", $V3) ;
END

CLASS Board_Insertion_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 264 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"boardType") ;
  MAP
    boardIndex = $V3 ;
    boardType = $V4 ;
    sub_origin = PRINTF("board %s", $V3) ;
END

CLASS Active_Port_In_Redundant_Circuit_Failed_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 265 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
    5: ATTR(=,"portRedundCrt") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    portRedundCrt = $V5 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
END

CLASS Redundant_Port_Activated_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 266 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
    5: ATTR(=,"portRedundCrt") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    portRedundCrt = $V5 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
END

CLASS Redundant_Port_Test_Failed_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 267 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
    5: ATTR(=,"portRedundCrt") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    portRedundCrt = $V5 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
END

CLASS Device_Traffic_Threshold_Exceeded_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 268 ;
    3: ATTR(=,"devTrafficThreshold") ;
    4: ATTR(=,"deviceTimebase") ;
  MAP
    devTrafficThreshold = $V3 ;
    deviceTimebase = $V4 ;
END

CLASS Device_Error_Threshold_Exceeded_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 269 ;
    3: ATTR(=,"devErrorThreshold") ;
    4: ATTR(=,"devErrorSource") ;
    5: ATTR(=,"deviceTimebase") ;
  MAP
    devErrorThreshold = $V3 ;
    devErrorSource = $V4 ;
    deviceTimebase = $V5 ;
END

CLASS Device_Collision_Threshold_Exceeded_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 270 ;
    3: ATTR(=,"devCollsThreshold") ;
    4: ATTR(=,"deviceTimebase") ;
  MAP
    devCollsThreshold = $V3 ;
    deviceTimebase = $V4 ;
END

CLASS Board_Traffic_Threshold_Exceeded_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 271 ;
    3: ATTR(=,"bdTrafficThreshold") ;
    4: ATTR(=,"deviceTimebase") ;
    5: ATTR(=,"boardIndex") ;
  MAP
    bdTrafficThreshold = $V3 ;
    deviceTimebase = $V4 ;
    boardIndex = $V5 ;
    sub_origin = PRINTF("board %s", $V5) ;
END

CLASS Board_Error_Threshold_Exceeded_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 272 ;
    3: ATTR(=,"bdErrorThreshold") ;
    4: ATTR(=,"bdErrorSource") ;
    5: ATTR(=,"deviceTimebase") ;
    6: ATTR(=,"boardIndex") ;
  MAP
    bdErrorThreshold = $V3 ;
    bdErrorSource = $V4 ;
    deviceTimebase = $V5 ;
    boardIndex = $V6 ;
    sub_origin = PRINTF("board %s", $V6) ;
END

CLASS Board_Collision_Threshold_Exceeded_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 273 ;
    3: ATTR(=,"bdCollsThreshold") ;
    4: ATTR(=,"deviceTimebase") ;
    5: ATTR(=,"boardIndex") ;
  MAP
    bdCollsThreshold = $V3 ;
    deviceTimebase = $V4 ;
    boardIndex = $V5 ;
    sub_origin = PRINTF("board %s", $V5) ;
END

CLASS Port_Traffic_Threshold_Exceeded_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 274 ;
    3: ATTR(=,"portTrafficThreshold") ;
    4: ATTR(=,"deviceTimebase") ;
    5: ATTR(=,"boardIndex") ;
    6: ATTR(=,"portIndex") ;
  MAP
    portTrafficThreshold = $V3 ;
    deviceTimebase = $V4 ;
    boardIndex = $V5 ;
    portIndex = $V6 ;
    sub_origin = PRINTF("board %s, port %s", $V5, $V6) ;
END

CLASS Port_Error_Threshold_Exceeded_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 275 ;
    3: ATTR(=,"portErrorThreshold") ;
    4: ATTR(=,"portErrorSource") ;
    5: ATTR(=,"deviceTimebase") ;
    6: ATTR(=,"boardIndex") ;
    7: ATTR(=,"portIndex") ;
  MAP
    portErrorThreshold = $V3 ;
    portErrorSource = $V4 ;
    deviceTimebase = $V5 ;
    boardIndex = $V6 ;
    portIndex = $V7 ;
    sub_origin = PRINTF("board %s, port %s", $V6, $V7) ;
END

CLASS Port_Collision_Threshold_Exceeded_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 276 ;
    3: ATTR(=,"portCollsThreshold") ;
    4: ATTR(=,"deviceTimebase") ;
    5: ATTR(=,"boardIndex") ;
    6: ATTR(=,"portIndex") ;
  MAP
    portCollsThreshold = $V3 ;
    deviceTimebase = $V4 ;
    boardIndex = $V5 ;
    portIndex = $V6 ;
    sub_origin = PRINTF("board %s, port %s", $V5, $V6) ;
END

CLASS Port_Type_Changed_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 277 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
    5: ATTR(=,"portTopologyType") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    portTopologyType = $V5 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
END

CLASS Lock_Status_Changed_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 278 ;
    3: ATTR(=,"deviceSrcAddrLocked") ;
  MAP
    deviceSrcAddrLocked = $V3 ;
END

CLASS Port_Security_Violation_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 279 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
    5: ATTR(=,"portSourceAddr") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    portSourceAddr = $V5 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
END

CLASS Port_Violation_Reset_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 280 ;
    3: ATTR(=,"boardIndex") ;
    4: ATTR(=,"portIndex") ;
  MAP
    boardIndex = $V3 ;
    portIndex = $V4 ;
    sub_origin = PRINTF("board %s, port %s", $V3, $V4) ;
END

# CLASS Env_Temp_Hot_CBT
# 'envTempHot' traps are mapped to 'envTemperature' OPEN/CRITICAL
CLASS ENV_TEMPERATURE_CBT
SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 282 ;
    3: ATTR(=,"boardIndex") ;
  MAP
    boardIndex = $V3 ;
    sub_origin = PRINTF("board %s", $V3) ;
    severity = CRITICAL ;
END

# CLASS Env_Temp_Warm_CBT
# 'envTempWarm' traps are mapped to 'envTemperature' OPEN/WARNING
CLASS Env_Temperature_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 281 ;
    3: ATTR(=,"boardIndex") ;
  MAP
    boardIndex = $V3 ;
    sub_origin = PRINTF("board %s", $V3) ;
    severity = WARNING ;
END

# CLASS Env_Temp_Normal_CBT
# 'envTempNormal' traps are mapped to 'envTemperature' CLOSED
CLASS ENV_TEMPERATURE_CBT
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.52") ;
    2: $SPECIFIC = 284 ;
    3: ATTR(=,"boardIndex") ;
  MAP
    boardIndex = $V3 ;
    sub_origin = PRINTF("board %s", $V3) ;
    status = CLOSED ;
END

#############################################################################
#                                                                           #
#  Cisco-SPECIFIC SNMP TRAPS                                                #
#                                                                           #
#############################################################################

CLASS Cold_Start_Cisco
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9") ;
    2: $TYPE = 0 ;
    3: ATTR(=,"whyReload") ;
  MAP
    reason = $V3 ;
END

CLASS Link_Down_Cisco
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.9") ;
    2: $TYPE = 2 ;
    3: ATTR(=,"ifIndex") ;
    4: ATTR(=,"ifDescr") ;
    5: ATTR(=,"ifType") ;
    6: ATTR(=,"locIfReason") ;
  MAP
    sub_origin = $V4 ;
    interface_index = $V3 ;
    interface_description = $V4 ;
    interface_type = $V5 ;
    reason = $V6 ;
END

# For Cisco routers, because we know the interface generating the trap,
# we map 'linkUp' traps to 'linkDown' CLOSED events
CLASS Link_Down_Cisco
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.9") ;
    2: $TYPE = 3 ;
    3: ATTR(=,"ifIndex") ;
    4: ATTR(=,"ifDescr") ;
    5: ATTR(=,"ifType") ;
    6: ATTR(=,"locIfReason") ;
  MAP
    sub_origin = $V4 ;
    status = CLOSED ;
    interface_index = $V3 ;
    interface_description = $V4 ;
    interface_type = $V5 ;
    reason = $V6 ;
END

CLASS Authentication_Failure_Cisco
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.9") ;
    2: $TYPE = 4 ;
    3: ATTR(=,"authAddr") ;
  MAP
    originating_address = $V3 ;
END

CLASS EGP_Neighbor_Loss_Cisco
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.9") ;
    2: $TYPE = 5 ;
    3: ATTR(=,"egpNeighAddr") ;
  MAP
    egp_neighbor_address = $V3 ;
END

CLASS Reload_Cisco
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.9") ;
    2: $TYPE = 6 ;
    3: $SPECIFIC = 0 ;
    4: ATTR(=,"whyReload") ;
  MAP
    reason = $V3 ;
END

CLASS TCP_Connection_Close_Cisco
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.9") ;
    2: $TYPE = 6 ;
    3: $SPECIFIC = 1 ;
    4: ATTR(=,"tslineSesType") ;
    5: ATTR(=,"tcpConnState") ;
    6: ATTR(=,"loctcpConnElapsed") ;
    7: ATTR(=,"loctcpConnInBytes") ;
    8: ATTR(=,"loctcpConnOutBytes") ;
    9: ATTR(=,"tsLineUser") ;
  MAP
    tslineSesType = $V3 ;
    tcpConnState = $V4 ;
    loctcpConnElapsed = $V5 ;
    loctcpConnInBytes = $V6 ;
    loctcpConnOutBytes = $V7 ;
    tsLineUser = $V8 ;
END

#############################################################################
#                                                                           #
#  SNMP-GENERIC TRAPS                                                       #
#                                                                           #
#############################################################################

CLASS Cold_Start
  SELECT
    1: $TYPE = 0 ;
  MAP
    msg = "Cold Start SNMP Trap." ;
END 

CLASS Warm_Start
  SELECT    
    1: $TYPE = 1 ;
  MAP
    msg = "Warm Start SNMP Trap." ;
END

CLASS Link_Down
  SELECT
    1: $TYPE = 2 ;
  MAP
    msg = "Link Down SNMP Trap." ;
END

CLASS Link_Up
  SELECT
    1: $TYPE = 3 ;
  MAP
    msg = "Link Up SNMP Trap." ;
END

CLASS Authentication_Failure
  SELECT
    1: $TYPE = 4 ;
  MAP
    msg = "Authentication Failure SNMP Trap." ;
END

CLASS EGP_Neighbor_Loss
  SELECT
    1: $TYPE = 5 ;
  MAP
    msg = "EGP Neighbor Loss SNMP Trap." ;
END
#############################################################################
#                                                                           #
#     OpenView 3.3 EVENTS 						    #
#                                                                           #
#############################################################################
# OV_Node_Marginal
CLASS OV_Node_Marginal 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790400 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    severity = WARNING;
    OV_status = 2 ; # Marginal
    msg = PRINTF ( "Node %s is marginal.", $V3 ) ;
END

# OV_Segment_Normal
CLASS OV_Segment_Marginal 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790401 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData1") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    status = CLOSED ;
END

# OV_Segment_Marginal
CLASS OV_Segment_Marginal 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790402 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    severity = WARNING;
    OV_status = 2 ; # Marginal
    msg = PRINTF ( "Segment Marginal reported by %s.", $V3 ) ;
END

# OV_Network_Normal
CLASS OV_Network_Marginal 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790403 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    OV_status = 0 ; # Normal
    status = CLOSED ;
END

# OV_Network_Marginal
CLASS OV_Network_Marginal 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790404 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    OV_status = 2 ; # Marginal
    msg = PRINTF ( "Network Marginal reported by %s.", $V3 ) ;
END

CLASS OV_Segment_Added 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790405 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Segment_Deleted 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790406 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Network_Added 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790407 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Network_Deleted 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790408 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Connection_Added
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790409 ;
    3: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Connection_Deleted 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790410 ;
    3: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

#CLASS OV_Change_Poll_Period 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50790411 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END
#

CLASS OV_Manage_Network 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790416 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Unmanage_Network 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790417 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Manage_Node 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790418 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Unmanage_Node 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790419 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Manage_Segment 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790420 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Unmanage_Segment 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790421 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Chg_IF_Segment 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790427 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData6") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    new_segment = $V5 ;
END

CLASS OV_Manage_IF 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790441 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
END

CLASS OV_Unmanage_IF 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790442 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
END

CLASS OV_Network_Flg_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790443 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    msg = PRINTF ( "New Network Flag: %s", $V4 ) ;
END

CLASS OV_Segment_Flag_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790444 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    msg = PRINTF ( "New Segment Flag: %s", $V4 ) ;
END

CLASS OV_Node_Flags_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790445 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    msg = PRINTF ( "New Node Flag: %s", $V4 ) ;
END

CLASS OV_IF_Flags_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 50790446 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData7") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    msg = PRINTF ( "New IF Flag: %s", $V4 ) ;
END

CLASS OV_DataCollectThresh 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58720263 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData1") ;
    5: ATTR(=, "openViewData2") ;
    6: ATTR(=, "openViewData3") ;
    7: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    MIB_variable = $V4 ;
    MIB_instance = $V5 ;
    threshold_value = $V6 ;
    sampled_value = $V7 ;
    msg = PRINTF ( "%s %s threshold exceeded (>%s): %s", $V4, $V5, $V6, $V7 ) ;
END

CLASS OV_DataCollect_Rearm 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58720264 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData1") ;
    5: ATTR(=, "openViewData2") ;
    6: ATTR(=, "openViewData3") ;
    7: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    MIB_variable = $V4 ;
    MIB_instance = $V5 ;
    threshold_value = $V6 ;
    sampled_value = $V7 ;
    msg = PRINTF ( "%s %s threshold rearmed (<=%s): %s", $V4, $V5, $V6, $V7 ) ;
END

CLASS OV_IF_Added 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58785792 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4;
END

CLASS OV_IF_Deleted 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58785793 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4;
END

CLASS OV_Node_Added 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58785794 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Node_Deleted 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58785795 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Error 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58851329 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData1") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    msg = $V4 ;
END

CLASS OV_Fatal_Error 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58851330 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData1") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    msg = $V4 ;
END

CLASS OV_Node_Down 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58916864 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    status = CLOSED ;
    OV_status = 0 ; # Normal
END

CLASS OV_Node_Down 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58916865 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    OV_status = 1 ; # Down
    msg = PRINTF ( "The Node %s is Down.", $V3 ) ;
END

CLASS OV_IF_Down 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58916866 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    ip_address = $V5 ;
    OV_status = 0 ; # Normal
    status = CLOSED ;
END

CLASS OV_IF_Down 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58916867 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    ip_address = $V5 ;
    msg = PRINTF ( "The interface %s on %s is Down.", $V4, $V3 ) ;
    OV_status = 1 ; # Down
END

CLASS OV_Segment_Critical 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58916868 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    severity = CRITICAL;
    OV_status = 1 ; # Down

END

# OV_Network_Critical
CLASS OV_Network_Critical 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58916869 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    severity = CRITICAL;
    OV_status = 1 ; # Down
END

CLASS OV_CMIS_Event 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58916870 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData1") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    msg = $V4 ;
END

CLASS OV_Phys_Addr_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982400 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData5") ;
    6: ATTR(=, "openViewData6") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    new_phys_address = $V5 ;
    previous_phys_address = $V6 ;
    msg = PRINTF ( "Physical address changed for %s.", $V3 ) ;

END

CLASS OV_Phys_Addr_Mismatch 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982401 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData5") ;
    6: ATTR(=, "openViewData7") ;
    7: ATTR(=, "openViewData8") ;

  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    report_host = $V5 ;
    incorrect_physical_address = $V6 ;
    correct_physical_address = $V7 ;
    msg = PRINTF ( "Physical Address mismatch reported by %s for %s.", $V5, $V3 ) ;
END

CLASS OV_Object_ID_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982403 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData2") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    new_value = $V4;
END

CLASS OV_Sys_Descr_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982404 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData2") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    new_value = $V4;
    msg = PRINTF ( "System Description changed for %s.", $V3 ) ;
END

CLASS OV_Sys_Name_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982405 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData2") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    new_value = $V4;
    msg = PRINTF ( "System Name changed for %s.", $V3 ) ;
END

CLASS OV_Subnet_Mask_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982406 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData5") ;
    6: ATTR(=, "openViewData6") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    new_subnet_mask = $V5 ;
    previous_subnet_mask = $V6 ;
    msg = PRINTF ( "Subnet Mask changed for %s.", $V3 ) ;
END

CLASS OV_Forw_Status_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982407 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    ipForwarding = $V4 ;
END

CLASS OV_No_SNMP_Reply 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982409 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Sys_Contact_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982410 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData2") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    new_value = $V4;
    msg = PRINTF ( "System Contact changed for %s.", $V3 ) ;
END

CLASS OV_Sys_Location_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982411 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData2") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    new_value = $V4;
    msg = PRINTF ( "System Location changed for %s.", $V3 ) ;
END

CLASS OV_IF_Type_Change 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982412 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData6") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    new_value = $V5 ;
    msg = PRINTF ( "Interface Type changed for %s.", $V3 ) ;
END

CLASS OV_IF_Descr_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982413 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData5") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    new_value = $V5 ;
    msg = PRINTF ( "Interface Description changed for %s.", $V3 ) ;
END

CLASS OV_Bad_Subnet_Mask 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982414 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData5") ;
    6: ATTR(=, "openViewData6") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    incorrect_subnet_mask = $V5 ;
    correct_subnet_mask = $V6 ;
    msg = PRINTF ( "Bad Subnet Mask on %s.", $V3 ) ;
END

#############################################################################
#                                                                           #
#  HP OpenView 3.3 EVENTS 						    #
#                                                                           #
#############################################################################

# OV_IF_Marginal
CLASS OV_IF_Fault 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000000 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    ip_address = $V5 ;
    severity = WARNING;
    OV_status = 2 ; # Marginal
END

CLASS OV_IF_IP_Addr_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000001 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData4") ;
    6: ATTR(=, "openViewData6") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    new_ip_address = $V5 ;
    previous_ip_address = $V6 ;
END

CLASS OV_Network_SubMskChg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000002 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData2" ) ;
    5: ATTR(=, "openViewData3") ;
    6: ATTR(=, "openViewData4") ;
  FETCH 
	1: IPADDR($V4);
  MAP
    origin = $F1 ;
	hostname = $V4 ;
    new_subnet_mask = $V5 ;
    previous_subnet_mask = $V6 ;
END

# OV_Connection_Up
CLASS OV_Connection_Down 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000003 ;
    3: ATTR(=, "openViewData" ) , KEY(=,"4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    status = CLOSED ;
END
# OV_Connection_Down
CLASS OV_Connection_Down 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000004 ;
    3: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    severity = FATAL;
    OV_status = 1 ; # Down
END

# OV_Connection_Marg
CLASS OV_Connection_Down 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000005 ;
    3: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    severity = WARNING;
    OV_status = 2 ; # Marginal
END

CLASS OV_DataCollect_Check 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000006 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_IF_Disconnected 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000007 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
    5: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
    ip_address = $V5 ;
END

CLASS OV_Map_Change 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000008 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Network_IPAddrChg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000009 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData2") ;
    5: ATTR(=, "openViewData3") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    new_ip_address = $V4 ;
    previous_ip_address = $V5 ;
END

CLASS OV_Network_Name_Chg 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000010 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData2") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    previous_name = $V4;
END

CLASS OV_IF_Unknown 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000011 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData3") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    sub_origin = $V4 ;
END

CLASS OV_Node_Unknown 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000012 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Segment_Unknown 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000013 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Network_Unknown 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000014 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_ConnectionUnknown 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000015 ;
    3: ATTR(=, "openViewData4") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Node_SupportsSNMP 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 40000016 ;
    3: ATTR(=, "openViewSourceName" ) ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

#CLASS OV_Warning 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50462720 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_Force_Polling 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50790412 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END
#
#CLASS OV_Cancel_Force_Poll 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50790413 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_Chg_Trace_File 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50790422 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END
#
#CLASS OV_Chg_Trace_Mask 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50790423 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_Trace_Node_Info 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50790424 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END
#
#CLASS OV_Trace_IF_Info 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#   2: $SPECIFIC = 50790425 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_Trace_Actions 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50790426 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_SnmpConf_Change 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50790437 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_TrapFormat_Change 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50790438 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_MIB_Change 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50790439 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_Data_Collect_Chg 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 50790440 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END


CLASS OV_Trap_PDU_Error 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58851331 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData1") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    msg = $V4 ;
END

#CLASS OV_Set_Status_Color 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 58916871 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_Message 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 58916872 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_Popup_Message 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 0 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_Bell_Message 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 58916874 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_Highlight_Source 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 58916875 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

CLASS OV_Bad_Phys_Address 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982397 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData1") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    phys_address = $V4 ;    
END

CLASS OV_Bad_Phys_Address 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982398 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData1") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    phys_address = $V4 ;    
END

CLASS OV_ARP_Phys_Chg_Same_Src 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982399 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData5") ;
    5: ATTR(=, "openViewData6") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    new_phys_address = $V4 ;
    previous_phys_address = $V5 ;
END

CLASS OV_ARP_Chg_New_Phys_Addr 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982402 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData1") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

CLASS OV_Bad_Forw_To_Host 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 58982408 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData2") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
    invalid_ipRouteNextHop = $V4 ;
END

#CLASS OV_Application_Alert 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 59047936 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_Application_Up 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 59179056 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

#CLASS OV_Application_Down 
#  SELECT
#    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: $SPECIFIC = 59179057 ;
#    3: ATTR(=, "openViewSourceName" ) ;
#    4: ATTR(=, "openViewData1") ;
#  FETCH
#	1: IPADDR($V3);
#  MAP
#    origin = $F1 ;
#	 hostname = $V3 ;
#END

CLASS OV_AppUngracefulExit 
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
    2: $SPECIFIC = 59179058 ;
    3: ATTR(=, "openViewSourceName" ) ;
    4: ATTR(=, "openViewData1") ;
  FETCH
	1: IPADDR($V3);
  MAP
    origin = $F1 ;
	hostname = $V3 ;
END

#CLASS HPOV_Default_Trap
#  SELECT
#    1: ATTR(=, $ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.11.2.17.1" ) ;
#    2: ATTR(=, $TYPE) ;
#    3: ATTR(=, $SPECIFIC ) ;
#  MAP
#    type = PRINTF ( "%s:%s:%s", $V1, $V2, $V3 );
#    msg = $VARBIND ;
#END

